/***************************************************************************/
/*                                                                         */
/*  z1gload.h                                                              */
/*                                                                         */
/*    Experimental Type 1 Glyph Loader (specification).                    */
/*                                                                         */
/*  Copyright 1996-2000 by                                                 */
/*  David Turner, Robert Wilhelm, and Werner Lemberg.                      */
/*                                                                         */
/*  This file is part of the FreeType project, and may only be used,       */
/*  modified, and distributed under the terms of the FreeType project      */
/*  license, LICENSE.TXT.  By continuing to use, modify, or distribute     */
/*  this file you indicate that you have read the license and              */
/*  understand and accept it fully.                                        */
/*                                                                         */
/***************************************************************************/


#ifndef Z1GLOAD_H
#define Z1GLOAD_H


#ifdef FT_FLAT_COMPILE

#include "z1objs.h"

#else

#include <type1z/z1objs.h>

#endif


#ifdef __cplusplus
  extern "C" {
#endif


  LOCAL_DEF
  FT_Error  Z1_Compute_Max_Advance( T1_Face  face,
                                    FT_Int*  max_advance );

  LOCAL_DEF
  FT_Error  Z1_Load_Glyph( Z1_GlyphSlot  glyph,
                           Z1_Size       size,
                           FT_Int        glyph_index,
                           FT_Int        load_flags );


#ifdef __cplusplus
  }
#endif


#endif /* Z1GLOAD_H */


/* END */
